//*
//******************************************************************
//* Module:	KAbout.c
//*
//*	About Dialog Box for Kalimba.
//*
//*	Written by:		Byron D. Copeland
//*
//*
//******************************************************************
//*

#include <windows.h>

//*
//* Grab the local header files.
//*
#include "Resource.h"
#include "Globals.h"


//* Prototypes used here in this module...

LPARAM ThingsAboutKalimba( HWND, WORD, HWND, WORD );
BOOL CALLBACK KalimbaAboutDialogProc(HWND, UINT, WPARAM, LPARAM );


//*
//******************************************************************
//* Function:	ThingsAboutKalimba()
//*
//*		Function to display a dialog box with trivia info
//* about the Kalimba application
//*
//*	Parameters:
//*		HWND				- The handle to the calling window/dialog
//*		WORD				- 
//*		HWND
//*		WORD
//*
//*	Returns:
//*		LPARAM
//*
//******************************************************************
//*

LPARAM ThingsAboutKalimba( HWND hWnd, WORD idItem, HWND hwndCtl,
						  WORD wNotifyCode )	{

	DialogBox( hInst, TEXT( "aboutbox" ), hWnd, KalimbaAboutDialogProc );
	return 0;
}

//
//******************************************************************
//* Function:	KalimbaAboutDialogProc()
//*
//* Mesage handler for about box.
//*
//*	Parameters:
//*		HWND			- handle to the calling window/dialog box
//*		UINT			- message sent to this loop
//*		WPARAM			- WORD Parameter
//*		LPARAM			- LONG Parameter
//*
//*	Returns:
//*		BOOL
//*
//******************************************************************
//*

BOOL CALLBACK KalimbaAboutDialogProc(HWND hWnd, UINT wMsg, WPARAM wParam, 
									 LPARAM lParam)	{

	switch ( wMsg )
	{
		case WM_COMMAND:
			switch (LOWORD(wParam))	{
				case IDOK:
				case IDCANCEL:
					EndDialog( hWnd, 0 );
					return TRUE;
			}
		break;
	}
    return FALSE;
}

//*
//* End of KAbout.c
//*