//*
//******************************************************************
//* Header:	Resource.h
//*
//*	Header that contains all resource id's for buttons,
//* edit fields, dialogs, etc...
//*
//* Author:		Byron D Copeland
//*	Date:		September 8, 1999
//*
//******************************************************************
//*

//*
//* Defines for Kalimba
//*

#define ID_ICON							  1
#define ID_MENU		                      2
#define ID_ACCEL						  3
#define IDC_CMDBAR						  4
#define ID_RCVTEXT						  5
#define ID_SENDTEXT						  6
#define ID_SENDBTN						  7
#define ID_DIALSTATUSWINDOW				  8
#define ID_ABOUTICON					  9
#define ID_TTYWINDOW					  10

//*
//* Menu Stuff
//*

#define IDM_EMUTTY						105
#define IDM_EMUVT100					106
#define IDM_EMUANSI						107
#define IDM_EXIT						109
#define IDM_USECOM						110
#define IDM_ABOUT						120
#define IDM_IMPORTFILE					130
#define IDM_SAVEDEFAULTS				131
#define IDM_LOADDEFAULTS				132
#define IDM_LOADPBOOK					133
#define IDM_SAVEPBOOK					134
#define IDM_EDIT_PHONE_DIR				140
#define IDM_SETUP_SERIALPORT			141
#define IDM_SETUP_NETWORKING			142
#define IDM_NUMBER_DIAL_SEQ				143
#define IDM_WAR_DIALER					144

//*
//* For Basic Dialog Properties
//*

#define IDC_COMPORT						150

#define IDC_BAUDRATE					151
#define IDC_SHOWTTYWINDOW				152

#define IDC_B256000						160
#define IDC_B128000						161
#define IDC_B115200						162
#define IDC_B57600						163
#define IDC_B56000						164
#define IDC_B38400						165
#define IDC_B19200						166
#define IDC_B14400						167
#define IDC_B9600						168
#define IDC_B4800						169
#define IDC_B2400						170
#define IDC_B1200						171

#define IDC_WORD8						172
#define IDC_WORD7						173
#define IDC_WORD6						174
#define IDC_WORD5						175
#define IDC_WORD4						176

#define IDC_PARITY_NONE					177
#define IDC_PARITY_EVEN					178
#define IDC_PARITY_ODD					179
#define IDC_PARITY_SPACE				180
#define IDC_PARITY_MARK					181

#define IDC_STOPBITS1					182
#define IDC_STOPBITS15					183
#define IDC_STOPBITS2					184

//*
//* For Inits Dialog Properties...
//*

#define IDC_INIT_ESCAPE_CODE			185
#define IDC_INIT_ONHOOK					186
#define IDC_INIT_OFFHOOK				187
#define IDC_INIT_RETURNONLINE			188
#define IDC_INIT_ATTENTION				189
#define IDC_INIT_RESET					190
#define IDC_INIT_CR_YES					191
#define IDC_INIT_CR_NO					192
#define IDC_INIT_INIT1					193
#define IDC_INIT_INIT2					194
#define IDC_INIT_DIALPREFIX             195

//*
//* Default BASIC Serial settings Button 
//*

#define IDC_BASIC_SERIAL_SETDEFAULT		210

//*
//* All the properties dialogs
//*

#define IDD_BASIC_SERIAL_SETUP			300
#define IDD_INIT_SERIAL_SETUP			301
#define IDD_ADV_SERIAL_SETUP			302
#define IDD_MESSAGES_SERIAL_SETUP		303
#define IDD_PHONEDIRDIALOG				304
#define IDD_PBD_DESCRIPTION				305

#define IDC_COLOR_CD                    309

#define IDC_DIALLISTVIEW				310
#define IDD_JUMPJIVE					315
#define IDC_JUMPJIVE_START				316
#define IDC_JUMPJIVE_CANCEL				317
#define IDC_EDIT_STATUSMSGS             318
#define IDC_WARDIAL_CURRENT_TASK        319
#define IDC_DTR_IMAGE                   320
#define IDC_SENDTEXTHOLD				321
#define IDC_JJ_RESULTS					322
#define IDC_JUMPJIVE_EXIT				323
#define IDC_JJ_MANUAL_SEND				324
#define IDC_JJ_SENDEDIT					325

//*
//* Do not get these out of sequence...
//*

#define IDC_JJ_DSR                      326
#define IDC_JJ_RLSD                     327
#define IDC_JJ_CTS                      328
#define IDC_JJ_RING						329

//*
//* Look :-)
//*

#define IDC_JJ_RCV                      330
#define IDC_JJ_XMIT                     331

//*
//* Various functions for WarDailer Dialog
//*

#define	IDC_JJ_DIALGROUP				332
#define IDC_JJ_MASK                     333
#define IDC_EDITDIALLISTVIEW			334
#define IDC_JJ_DATAMODE                 335
#define IDC_JJ_VOICEMODE                336
#define IDC_JJ_FAXMODE					337
#define IDC_JJ_FORCEANSWER              338

//*
//* Tone Dialer
//*

#define IDC_TG_1                        340
#define IDC_TG_2                        341
#define IDC_TG_3                        342
#define IDC_TG_4                        343
#define IDC_TG_5                        344
#define IDC_TG_6                        345
#define IDC_TG_7                        346
#define IDC_TG_8                        347
#define IDC_TG_9                        348
#define IDC_TG_SPLAT                    349
#define IDC_TG_0                        350
#define IDC_TG_POUND                    351
#define IDC_TG_DEVNAME                  352
//#define IDC_BUTTON13                    353
//#define IDC_BUTTON14                    354
#define IDC_TG_BLUEBOX                  354
#define IDC_TG_CANCEL                   355
#define IDC_JJ_NUMPAD                   356
#define IDD_MAN_TONE_DIALOG             357
#define IDC_TG_A                        358
#define IDC_TG_B                        359
#define IDC_TG_C                        360
#define IDC_TG_D                        361
#define IDC_TG_DTMF                     362
#define IDC_TG_CCITT                    363
#define IDC_TG_T2600					364
#define IDC_TG_NICKEL                   365
#define IDC_TG_DIME                     366
#define IDC_TG_QUARTER                  367
#define IDC_TG_KEYPULSEF                368
#define IDC_TG_KPFSTOP                  369
#define IDC_TG_MFTONES                  370
#define IDC_TG_COIN_RET                 371
#define IDC_TG_STP1                     372
#define IDC_TG_ST2P                     373
#define IDC_TG_ST3P                     374

//*
//*
//*

#define IDC_LICON						380
#define IDC_SICON						381
#define IDC_RPT							382
#define IDC_LIST						383

//*
//* Modem Messages
//*

#define IDC_MSG_OK						400
#define IDC_MSG_BUSY					401
#define IDC_MSG_RING					402
#define IDC_MSG_VOICE					403
#define IDC_MSG_ERROR					404
#define IDC_MSG_DIALTONE				405
#define IDC_MSG_ANSWER					406
#define IDC_MSG_CARRIER					407
#define IDC_MSG_B1200					408
#define IDC_MSG_B2400					409
#define IDC_MSG_B4800					410
#define IDC_MSG_B9600					411
#define IDC_MSG_B14400					412
#define IDC_MSG_B19200					413
#define IDC_MSG_B38400					414
#define IDC_MSG_B56000					415
#define IDC_MSG_B57600					416
#define IDC_MSG_B115200					417
#define IDC_MSG_B128000					418
#define IDC_MSG_B256000					419

#define IDC_COMBO_PORT_ADDRESS			500
#define IDC_COMBO_IRQ_LINE				501
#define IDC_COMBO_INTERRUPT				502
#define IDC_COMBOSERIALPORT				503


#define IDC_PBD_SAVE					521
#define IDC_PBD_DELETE					522
#define IDC_PBD_CANCEL					523

#define IDC_ADV_SETDEFAULTS             524

//#define ID_PD_ADD_OK					525
#define IDC_PBD_EDITDESCRIPTION         526
//#define IDC_PD_ADD_PREFIX				527
//#define IDC_PD_ADD_SUFFIX				528
//#define IDC_PD_ADD_AREA_CODE			529
//#define ID_PD_ADD_CANCEL				530

#define IDC_ADV_HSRTS					550
#define IDC_ADV_HSDTR					551
#define IDC_ADV_HSDSR					552
#define IDC_ADV_HSCTS					553
#define IDC_ADV_LOWER_DTR               554
#define IDC_ADV_LOCK_BAUD               555
#define IDC_ADV_RCV_QUEUE				556
#define IDC_ADV_XMIT_QUEUE				557


#define TEXTSIZE						256

#define STD_BMPS						(STD_PRINT+1)
#define VIEW_BMPS						(VIEW_NEWFOLDER+1)

#define IDC_STATIC                      -1

