//*
//******************************************************************
//*
//* Module: Status.c
//*
//*		This module will update the status area on the
//*	WarDial dialog...
//*
//*	Author:		Byron D Copeland
//*	Date:		September 4, 1999
//*
//******************************************************************
//*
#include <windows.h>
#include <commctrl.h>
#include <stdio.h>

//*
//* Our local headers...
//*
#include "Resource.h"
#include "TTYInfo.h"

//*
//* Prototypes of functions used locally
//*
void ReportModemStatus( HWND, DWORD );
void CheckModemStatus( HWND, BOOL );

//*
//******************************************************************
//* Function: ReportModemStatus()
//*
//*		This function updates the dialog box
//*
//*	Parameters:
//*		HWND				- Handle to the calling window/dialog
//*		DWORD				- Status bits
//*
//* Returns:
//*		Nothing.
//*
//******************************************************************
//*

void ReportModemStatus( HWND hWnd, DWORD dwModemStatus )	{

	BOOL	fCTS;
	BOOL	fDSR;
	BOOL	fRING;
	BOOL	fRLSD;
	BOOL	fStat[4];
	int		i;

	fDSR = fStat[0] = MS_DSR_ON & dwModemStatus;
	fRLSD = fStat[1] = MS_RLSD_ON & dwModemStatus;
	fCTS = fStat[2] = MS_CTS_ON & dwModemStatus;
	fRING = fStat[3] = MS_RING_ON & dwModemStatus;

	for ( i = IDC_JJ_DSR; i <= IDC_JJ_RING; i++ )	{
		CheckDlgButton( hWnd, i, fStat[i - IDC_JJ_DSR] ? 1 : 0 );
	}
	return;
}

//*
//******************************************************************
//* Function: CheckModemStatus()
//* 
//*		This function updates the status bits.
//*
//*	Parameters:
//*		HWND				- Handle to calling window/dialog
//*		BOOL				- TRUE to force update.
//*
//*	Returns:
//*		Nothing.
//*
//******************************************************************
//*

void CheckModemStatus( HWND hWnd, BOOL bUpdateNow )	{

	__declspec(thread) static DWORD dwOldStatus = 0;

	DWORD	dwNewModemStatus;

	if ( !GetCommModemStatus( COMDEV( TTYInfo ), &dwNewModemStatus ))
		return;

	if ( bUpdateNow || ( dwNewModemStatus != dwOldStatus ))	{
		ReportModemStatus( hWnd, dwNewModemStatus );
		dwOldStatus = dwNewModemStatus;
	}
	return;
}

